<copyright> gdomk Drawable class.
    Written by <a href="mailto:tiggr@gerbil.org">Pieter J. Schoenmakers</a>

    Copyright &copy; 1998 Pieter J. Schoenmakers.

    This file is part of GDOMK.  GDOMK is distributed under the terms of
    the GNU Library General Public License, a copy of which can be found
    in the GDOMK distribution; see the file COPYING.LIB.

    <id>$Id: Drawable.t,v 1.2 1998/04/04 00:27:15 tiggr Exp $</id>
    </copyright>

<c>
#include "glue.h"
</c>

implementation class
GdkDrawable: GdkWrapper

end;

implementation instance
GdkDrawable

<doc> Return the {gdkDrawable} for which this object stands.  </doc>
pointer
  gdkDrawable
{
  = object;
}

//void gdk_draw_point	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  gint		x,
//			  gint		y);
//void gdk_draw_line	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  gint		x1,
//			  gint		y1,
//			  gint		x2,
//			  gint		y2);

void
  draw_rectangle (pointer, boolean, int, int, int, int)
		 (gc, filled, x, y, width, height)
{
  pointer obj = object;

<c>
  gdk_draw_rectangle (obj, gc, filled, x, y, width, height);
</c>
}

//void gdk_draw_arc	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  gint		filled,
//			  gint		x,
//			  gint		y,
//			  gint		width,
//			  gint		height,
//			  gint		angle1,
//			  gint		angle2);
//void gdk_draw_polygon	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  gint		filled,
//			  GdkPoint     *points,
//			  gint		npoints);
//void gdk_draw_string	 (GdkDrawable  *drawable,
//			  GdkFont      *font,
//			  GdkGC	       *gc,
//			  gint		x,
//			  gint		y,
//			  const gchar	     *string);
//void gdk_draw_text	 (GdkDrawable  *drawable,
//			  GdkFont      *font,
//			  GdkGC	       *gc,
//			  gint		x,
//			  gint		y,
//			  const gchar	     *text,
//			  gint		text_length);

void
  draw_pixmap (pointer, GdkDrawable, int, int, int, int, int, int)
	      (gc, src, xsrc, ysrc, xdest, ydest, width, height)
{
  pointer obj = object, src_obj = [src gdkDrawable];
<c>
  gdk_draw_pixmap (obj, gc, src_obj, xsrc, ysrc, xdest, ydest, width, height);
</c>
}

//void gdk_draw_bitmap	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  GdkDrawable  *src,
//			  gint		xsrc,
//			  gint		ysrc,
//			  gint		xdest,
//			  gint		ydest,
//			  gint		width,
//			  gint		height);
//void gdk_draw_image	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  GdkImage     *image,
//			  gint		xsrc,
//			  gint		ysrc,
//			  gint		xdest,
//			  gint		ydest,
//			  gint		width,
//			  gint		height);
//void gdk_draw_points	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  GdkPoint     *points,
//			  gint		npoints);
//void gdk_draw_segments	 (GdkDrawable  *drawable,
//			  GdkGC	       *gc,
//			  GdkSegment   *segs,
//			  gint		nsegs);
//void gdk_draw_lines      (GdkDrawable  *drawable,
//                          GdkGC        *gc,
//                          GdkPoint     *points,
//                          gint          npoints);

end;
